Skip to main content
GET
/
account-info
/
2026-03
/
activity
/
security
Retrieve security history
curl --request GET \
  --url https://api.hubapi.com/account-info/2026-03/activity/security \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "type": "ACCEPTANCE_TEST",
      "userId": 123,
      "actingUser": "<string>",
      "countryCode": "<string>",
      "infoUrl": "<string>",
      "ipAddress": "<string>",
      "location": "<string>",
      "objectId": "<string>",
      "regionCode": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

fromTimestamp
integer<int64>
limit
integer<int32>

The maximum number of results to display per page.

toTimestamp
integer<int64>
userId
integer<int32>

Response

successful operation

results
object[]
required
paging
object
Last modified on March 30, 2026